% COMPUTE Figure 2
% To replicate the Figure, one needs to generate h_report, h_QUANTILE_MC,
% X_Y_2 from the FORTRAN code for each case. 

%==========================================================================


% /gamma_{0} = 0.5
DATA_h_7 = load('06.21.11ii/h_report.txt');
DATA_QQ_7 = load('06.21.11ii/QQ_PLOT.txt');
DATA_h_QUANTILE_7 = load('06.21.11ii/h_QUANTILE_MC.txt');
DATA_X2_Y2_7 = load('06.21.11ii/X_Y_2_v.txt');
DATA_hat_Eh0_7 = load('06.21.11ii/hat_Eh0.txt');

% /gamma_{0} = 0.5
DATA_h_8 = load('06.21.11i/h_report.txt');
DATA_QQ_8 = load('06.21.11i/QQ_PLOT.txt');
DATA_h_QUANTILE_8 = load('06.21.11i/h_QUANTILE_MC.txt');
DATA_X2_Y2_8 = load('06.21.11i/X_Y_2_v.txt');
DATA_hat_Eh0_8 = load('06.21.11i/hat_Eh0.txt');

% /gamma_{0} = 0.5
DATA_h_10 = load('06.21.11/h_report.txt');
DATA_QQ_10 = load('06.21.11/QQ_PLOT.txt');
DATA_h_QUANTILE_10 = load('06.21.11/h_QUANTILE_MC.txt');
DATA_X2_Y2_10 = load('06.21.11/X_Y_2_v.txt');
DATA_hat_Eh0_10 = load('06.21.11/hat_Eh0.txt');

% /gamma_{0} = 0.5
DATA_h_11 = load('06.20.11iii/h_report.txt');
DATA_QQ_11 = load('06.20.11iii/QQ_PLOT.txt');
DATA_h_QUANTILE_11 = load('06.20.11iii/h_QUANTILE_MC.txt');
DATA_X2_Y2_11 = load('06.20.11iii/X_Y_2_v.txt');
DATA_hat_Eh0_11 = load('06.20.11iii/hat_Eh0.txt');

% /gamma_{0} = 0.5
DATA_h_12 = load('06.20.11i/h_report.txt');
DATA_QQ_12 = load('06.20.11i/QQ_PLOT.txt');
DATA_h_QUANTILE_12 = load('06.20.11i/h_QUANTILE_MC.txt');
DATA_X2_Y2_12 = load('06.20.11i/X_Y_2_v.txt');
DATA_hat_Eh0_12 = load('06.20.11i/hat_Eh0.txt');

% \gamma_{0} = 0.5
DATA_h_13 = load('06.20.11/h_report.txt');
DATA_QQ_13 = load('06.20.11/QQ_PLOT.txt');
DATA_h_QUANTILE_13 = load('06.20.11/h_QUANTILE_MC.txt');
DATA_X2_Y2_13 = load('06.20.11/X_Y_2_v.txt');
DATA_hat_Eh0_13 = load('06.20.11/hat_Eh0.txt');

% /gamma_{0} = 0.5
DATA_h_15 = load('06.18.11/h_report.txt');
DATA_QQ_15 = load('06.18.11/QQ_PLOT.txt');
DATA_h_QUANTILE_15 = load('06.18.11/h_QUANTILE_MC.txt');
DATA_X2_Y2_15 = load('06.18.11/X_Y_2_v.txt');
DATA_hat_Eh0_15 = load('06.18.11/hat_Eh0.txt');

% /gamma_{0} = 0.5
DATA_h_16 = load('06.20.11ii/h_report.txt');
DATA_QQ_16 = load('06.20.11ii/QQ_PLOT.txt');
DATA_h_QUANTILE_16 = load('06.20.11ii/h_QUANTILE_MC.txt');
DATA_X2_Y2_16 = load('06.20.11ii/X_Y_2_v.txt');
DATA_hat_Eh0_16 = load('06.20.11ii/hat_Eh0.txt');

% /gamma_{0} = 0.5
DATA_h_17 = load('06.18.11i/h_report.txt');
DATA_QQ_17 = load('06.18.11i/QQ_PLOT.txt');
DATA_h_QUANTILE_17 = load('06.18.11i/h_QUANTILE_MC.txt');
DATA_X2_Y2_17 = load('06.18.11i/X_Y_2_v.txt');
DATA_hat_Eh0_17 = load('06.18.11i/hat_Eh0.txt');


%=========================================================================

%==========================================================================

figure;
subplot(3,3,1)
plot(DATA_h_16(:,5),DATA_h_16(:,2),'.k')
hold on;
plot(DATA_h_16(:,5),DATA_h_16(:,1),'k')
hold on;
plot(DATA_h_16(:,5),DATA_h_QUANTILE_16(:,1),'--k');
hold on;
plot(DATA_h_16(:,5),DATA_h_QUANTILE_16(:,2),'--k');
xlabel('y_{2}')
ylabel('|| \cdot||^{2}_{L^{2}}')
axis([4.5 6.5 0 1.1])

subplot(3,3,2)
plot(DATA_h_17(:,5),DATA_h_17(:,2),'.k')
hold on;
plot(DATA_h_17(:,5),DATA_h_17(:,1),'k')
hold on;
plot(DATA_h_17(:,5),DATA_h_QUANTILE_17(:,1),'--k');
hold on;
plot(DATA_h_17(:,5),DATA_h_QUANTILE_17(:,2),'--k');
xlabel('y_{2}')
ylabel('||\nabla^{2} \cdot||_{L^{1}}')
axis([4.5 6.5 0 1.1])

subplot(3,3,3)
plot(DATA_h_15(:,5),DATA_h_15(:,2),'.k')
hold on;
plot(DATA_h_15(:,5),DATA_h_15(:,1),'k')
hold on;
plot(DATA_h_15(:,5),DATA_h_QUANTILE_15(:,1),'--k');
hold on;
plot(DATA_h_15(:,5),DATA_h_QUANTILE_15(:,2),'--k');
xlabel('y_{2}')
ylabel('|| \nabla^{2} \cdot||^{2}_{L^{2}}')
axis([4.5 6.5 0 1.1])

subplot(3,3,4)
plot(DATA_h_11(:,5),DATA_h_11(:,2),'.k')
hold on;
plot(DATA_h_11(:,5),DATA_h_11(:,1),'k')
hold on;
plot(DATA_h_11(:,5),DATA_h_QUANTILE_11(:,1),'--k');
hold on;
plot(DATA_h_11(:,5),DATA_h_QUANTILE_11(:,2),'--k');
xlabel('y_{2}')
ylabel('|| \cdot||^{2}_{L^{2}}')
axis([4.5 6.5 0 1.1])

subplot(3,3,5)
plot(DATA_h_12(:,5),DATA_h_12(:,2),'.k')
hold on;
plot(DATA_h_12(:,5),DATA_h_12(:,1),'k')
hold on;
plot(DATA_h_12(:,5),DATA_h_QUANTILE_12(:,1),'--k');
hold on;
plot(DATA_h_12(:,5),DATA_h_QUANTILE_12(:,2),'--k');
xlabel('y_{2}')
ylabel('||\nabla^{2} \cdot||_{L^{1}}')
axis([4.5 6.5 0 1.1])

subplot(3,3,6)
plot(DATA_h_13(:,5),DATA_h_13(:,2),'.k')
hold on;
plot(DATA_h_13(:,5),DATA_h_13(:,1),'k')
hold on;
plot(DATA_h_13(:,5),DATA_h_QUANTILE_13(:,1),'--k');
hold on;
plot(DATA_h_13(:,5),DATA_h_QUANTILE_13(:,2),'--k');
xlabel('y_{2}')
ylabel('||\nabla^{2} \cdot||^{2}_{L^{2}}')
axis([4.5 6.5 0 1.1])

subplot(3,3,7)
plot(DATA_h_8(:,5),DATA_h_8(:,2),'.k')
hold on;
plot(DATA_h_8(:,5),DATA_h_8(:,1),'k')
hold on;
plot(DATA_h_8(:,5),DATA_h_QUANTILE_8(:,1),'--k');
hold on;
plot(DATA_h_8(:,5),DATA_h_QUANTILE_8(:,2),'--k');
xlabel('y_{2}')
ylabel('|| \cdot||^{2}_{L^{2}}')
axis([4.5 6.5 0 1.1])

subplot(3,3,8)
% plot(DATA_h_7(:,5),DATA_h_7(:,2),'.k')
% hold on;
% plot(DATA_h_7(:,5),DATA_h_7(:,1),'k')
% hold on;
% plot(DATA_h_7(:,5),DATA_h_QUANTILE_7(:,1),'--k');
% hold on;
% plot(DATA_h_7(:,5),DATA_h_QUANTILE_7(:,2),'--k');
% xlabel('y_{2}')
% ylabel('\lambda_{n} = 0.001, ||\nabla^{2} \cdot||^{2}_{L^{2}}')
% axis([4.5 6.5 0 1.1])
% saveas(gcf,'GS_CP_gamma.eps')
 plot(DATA_h_7(:,5),DATA_h_7(:,2),'.k')
 hold on;
 plot(DATA_h_7(:,5),DATA_h_7(:,1),'k')
 hold on;
 plot(DATA_h_7(:,5),DATA_h_QUANTILE_7(:,1),'--k');
 hold on;
 plot(DATA_h_7(:,5),DATA_h_QUANTILE_7(:,2),'--k');
 xlabel('y_{2}')
 ylabel('||\nabla^{2} \cdot||_{L^{1}}')
 axis([4.5 6.5 0 1.1])


subplot(3,3,9)
plot(DATA_h_10(:,5),DATA_h_10(:,2),'.k')
hold on;
plot(DATA_h_10(:,5),DATA_h_10(:,1),'k')
hold on;
plot(DATA_h_10(:,5),DATA_h_QUANTILE_10(:,1),'--k');
hold on;
plot(DATA_h_10(:,5),DATA_h_QUANTILE_10(:,2),'--k');
xlabel('y_{2}')
ylabel('||\nabla^{2} \cdot||^{2}_{L^{2}}')
axis([4.5 6.5 0 1.1])
 saveas(gcf,'GS_CP_gamma_jun_2011.eps')